#
# spec file for package python-pyBarcode
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}

%define base_name pyBarcode
Name:           python-%{base_name}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Version:        0.7
Release:        lp150.1.3
Source:         https://files.pythonhosted.org/packages/source/p/%{base_name}/%{base_name}-%{version}.tar.gz
Url:            https://pypi.io/project/pyBarcode
Summary:        Library to create Barcodes with Python
License:        MIT
Group:          Development/Languages/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Library to create standard barcodes with Python. No external modules needed (optional PIL support included).
%prep
%setup -q -n %{base_name}-%{version}

%build
%python_build 

%install
%python_install

%files %{python_files}
%defattr(-,root,root)
%doc docs/*
%{python_sitelib}/*
%python2_only %{_bindir}/pybarcode2
%python3_only %{_bindir}/pybarcode3

%changelog
* Wed Jun  7 2017 axel.braun@gmx.de
- Version 0.7 initial build on OBS
